#include "campgrid.h"
#include "campwizard.h"
#include "campservice.h"

CampGrid::CampGrid(QWidget *parent) : GridForm<CampData>(parent)
{
    setTableModel(new AutoTableModel<CampData>);
}

void CampGrid::handleNewRecord()
{
    CampService srv;
    CampWizard *wizard = new CampWizard();
    wizard->setAttribute(Qt::WA_DeleteOnClose);
    wizard->setData(srv.create());

    wizard->show();
}

void CampGrid::handleEditRecord()
{

}
